\usepackage{tikz}

\definecolor{A1}                {cmyk}{1.00, 0.00, 0.00, 0.50}
\definecolor{A2}                {cmyk}{0.60, 0.00, 0.00, 0.10}
\definecolor{A3}                {cmyk}{0.30, 0.00, 0.00, 0.05}
\definecolor{A4}                {cmyk}{0.10, 0.00, 0.00, 0.00}
\definecolor{B1}                {cmyk}{0.00, 1.00, 0.60, 0.40}
\definecolor{B2}                {cmyk}{0.00, 0.85, 0.60, 0.15}
\definecolor{B3}                {cmyk}{0.00, 0.20, 0.15, 0.05}
\definecolor{B4}                {cmyk}{0.00, 0.05, 0.05, 0.00}
\definecolor{C1}                {cmyk}{0.00, 1.00, 0.00, 0.50}
\definecolor{C2}                {cmyk}{0.00, 0.60, 0.00, 0.20}
\definecolor{C3}                {cmyk}{0.00, 0.30, 0.00, 0.05}
\definecolor{C4}                {cmyk}{0.00, 0.10, 0.00, 0.05}
\definecolor{D1}                {cmyk}{0.00, 0.00, 1.00, 0.50}
\definecolor{D2}                {cmyk}{0.20, 0.20, 0.80, 0.00}
\definecolor{D3}                {cmyk}{0.00, 0.00, 0.20, 0.10}
\definecolor{D4}                {cmyk}{0.00, 0.00, 0.20, 0.05}
\definecolor{F1}                {cmyk}{0.00, 0.80, 0.50, 0.00}
\definecolor{F2}                {cmyk}{0.00, 0.40, 0.30, 0.00}
\definecolor{F3}                {cmyk}{0.00, 0.15, 0.10, 0.00}
\definecolor{F4}                {cmyk}{0.00, 0.07, 0.05, 0.00}
\definecolor{G1}                {cmyk}{1.00, 0.00, 0.50, 0.00}
\definecolor{G2}                {cmyk}{0.50, 0.00, 0.20, 0.00}
\definecolor{G3}                {cmyk}{0.20, 0.00, 0.10, 0.00}
\definecolor{G4}                {cmyk}{0.10, 0.00, 0.05, 0.00}
\definecolor{H1}                {cmyk}{0.40, 0.00, 1.00, 0.10}
\definecolor{H2}                {cmyk}{0.20, 0.00, 0.50, 0.05}
\definecolor{H3}                {cmyk}{0.10, 0.00, 0.20, 0.00}
\definecolor{H4}                {cmyk}{0.07, 0.00, 0.15, 0.00}
\definecolor{J1}                {cmyk}{0.00, 0.50, 1.00, 0.00}
\definecolor{J2}                {cmyk}{0.00, 0.20, 0.50, 0.00}
\definecolor{J3}                {cmyk}{0.00, 0.10, 0.20, 0.00}
\definecolor{J4}                {cmyk}{0.00, 0.07, 0.15, 0.00}
\definecolor{FondOuv}           {cmyk}{0.00, 0.05, 0.10, 0.00}
\definecolor{FondAutoEvaluation}{cmyk}{0.00, 0.03, 0.15, 0.00}
\definecolor{FondTableaux}      {cmyk}{0.00, 0.00, 0.20, 0.00}
\definecolor{FondAlgo}          {cmyk}{0.07, 0.00, 0.30, 0.00}
\definecolor{BleuOuv}           {cmyk}{1.00, 0.00, 0.00, 0.00}
\definecolor{PartieFonction}    {cmyk}{1.00, 0.00, 0.00, 0.00}
\definecolor{PartieGeometrie}   {cmyk}{0.80, 0.80, 0.00, 0.00}
\definecolor{PartieStatistique} {cmyk}{0.30, 1.00, 0.00, 0.00}
\definecolor{PartieStatistiqueOLD}{cmyk}{0.95, 0.60, 0.20, 0.00}
\definecolor{PartieStatistique*}{cmyk}{0.30, 1.00, 0.00, 0.00}
\definecolor{U1}                {cmyk}{0.50, 0.10, 0.00, 0.10}
\definecolor{U2}                {cmyk}{0.20, 0.15, 0.00, 0.00}
\definecolor{U3}                {cmyk}{0.50, 0.00, 1.00, 0.00}
\definecolor{U4}                {cmyk}{0.40, 0.00, 0.00, 0.00}
\definecolor{Blanc}             {cmyk}{0.00, 0.00, 0.00, 0.00}
\definecolor{Gris1}             {cmyk}{0.00, 0.00, 0.00, 0.20}
\definecolor{Gris2}             {cmyk}{0.00, 0.00, 0.00, 0.40}
\definecolor{Gris3}             {cmyk}{0.00, 0.00, 0.00, 0.50}
\definecolor{Noir}              {cmyk}{0.00, 0.00, 0.00, 1.00}